Index: /ssp_qb_r5f100le_cs/trunk/kernel/kernel.tf
===================================================================
--- /ssp_qb_r5f100le_cs/trunk/kernel/kernel.tf	(revision 94)
+++ /ssp_qb_r5f100le_cs/trunk/kernel/kernel.tf	(revision 95)
@@ -10,43 +10,39 @@
 $               Nagoya Municipal Industrial Research Institute, JAPAN
 $ 
-$  ãLì ÒÍCÈºÌ (1)`(4) Ìðð½·êÉÀèC{\tgEF
-$  Ai{\tgEFAðüÏµ½àÌðÜÞDÈº¯¶jðgpE¡»EüÏE
-$  ÄzziÈºCpÆÄÔj·é±Æð³Åø·éD
-$  (1) {\tgEFAð\[XR[hÌ`Åp·éêÉÍCãLÌì 
-$      \¦C±Ìpð¨æÑºLÌ³ÛØKèªC»ÌÜÜÌ`Å\[X
-$      R[hÉÜÜêÄ¢é±ÆD
-$  (2) {\tgEFAðCCu`®ÈÇC¼Ì\tgEFAJ­Égp
-$      Å«é`ÅÄzz·éêÉÍCÄzzÉº¤hL
-gipÒ}
-$      j
-AÈÇjÉCãLÌì \¦C±Ìpð¨æÑºLÌ³Û
-$      ØKèðfÚ·é±ÆD
-$  (3) {\tgEFAðC@íÉgÝÞÈÇC¼Ì\tgEFAJ­Égp
-$      Å«È¢`ÅÄzz·éêÉÍCÌ¢¸ê©Ìðð½·±ÆD
-$    (a) ÄzzÉº¤hL
-gipÒ}j
-AÈÇjÉCãLÌì
-$         \¦C±Ìpð¨æÑºLÌ³ÛØKèðfÚ·é±ÆD
-$    (b) ÄzzÌ`ÔðCÊÉèßéû@ÉæÁÄCTOPPERSvWFNgÉñ
-$        ·é±ÆD
-$  (4) {\tgEFAÌpÉæè¼ÚIÜ½ÍÔÚIÉ¶¶é¢©Èé¹Q
-$      ©çàCãLì Ò¨æÑTOPPERSvWFNgðÆÓ·é±ÆDÜ½C
-$      {\tgEFAÌ[UÜ½ÍGh[U©çÌ¢©ÈéRÉîÃ
-$      ­¿©çàCãLì Ò¨æÑTOPPERSvWFNgðÆÓ·é±ÆD
-$ 
-$  {\tgEFAÍC³ÛØÅñ³êÄ¢éàÌÅ éDãLì Ò¨æ
-$  ÑTOPPERSvWFNgÍC{\tgEFAÉÖµÄCÁèÌgpÚIÉÎ·
-$  éK«àÜßÄC¢©ÈéÛØàsíÈ¢DÜ½C{\tgEFAÌp
-$  Éæè¼ÚIÜ½ÍÔÚIÉ¶¶½¢©Èé¹QÉÖµÄàC»ÌÓCð
-$  íÈ¢D
+$  上記著作権者は，以下の (1)〜(4) の条件を満たす場合に限り，本ソフトウェ
+$  ア（本ソフトウェアを改変したものを含む．以下同じ）を使用・複製・改変・
+$  再配布（以下，利用と呼ぶ）することを無償で許諾する．
+$  (1) 本ソフトウェアをソースコードの形で利用する場合には，上記の著作権
+$      表示，この利用条件および下記の無保証規定が，そのままの形でソース
+$      コード中に含まれていること．
+$  (2) 本ソフトウェアを，ライブラリ形式など，他のソフトウェア開発に使用
+$      できる形で再配布する場合には，再配布に伴うドキュメント（利用者マ
+$      ニュアルなど）に，上記の著作権表示，この利用条件および下記の無保
+$      証規定を掲載すること．
+$  (3) 本ソフトウェアを，機器に組み込むなど，他のソフトウェア開発に使用
+$      できない形で再配布する場合には，次のいずれかの条件を満たすこと．
+$    (a) 再配布に伴うドキュメント（利用者マニュアルなど）に，上記の著作
+$        権表示，この利用条件および下記の無保証規定を掲載すること．
+$    (b) 再配布の形態を，別に定める方法によって，TOPPERSプロジェクトに報
+$        告すること．
+$  (4) 本ソフトウェアの利用により直接的または間接的に生じるいかなる損害
+$      からも，上記著作権者およびTOPPERSプロジェクトを免責すること．また，
+$      本ソフトウェアのユーザまたはエンドユーザからのいかなる理由に基づ
+$      く請求からも，上記著作権者およびTOPPERSプロジェクトを免責すること．
+$ 
+$  本ソフトウェアは，無保証で提供されているものである．上記著作権者およ
+$  びTOPPERSプロジェクトは，本ソフトウェアに関して，特定の使用目的に対す
+$  る適合性も含めて，いかなる保証も行わない．また，本ソフトウェアの利用
+$  により直接的または間接的に生じたいかなる損害に関しても，その責任を負
+$  わない．
 $ 
 $ ======================================================================
 
-$ OoÍ
-$   wèµ½¾¯sªÉ^uðÂ¯Ä\¦·éD
-$   R[hyÑoÍÌÂÇ«ð°é½ßÉg¤D
-$     ø : ARGV[1] : sªÉ}ü·é^uÌ
-$     Ôl : ó¶ñ
-$     Ó : RESULTðìµÄ¢é½ßC¼ÌÖÌoÍðÛ¶·éOÉÄÑo·Æã«³êéD
+$ ログ出力
+$   指定した数だけ行頭にタブをつけて表示する．
+$   コード及び出力の可読性を挙げるために使う．
+$     引数 : ARGV[1] : 行頭に挿入するタブの数
+$     返値 : 空文字列
+$     注意 : RESULTを操作しているため，他の関数の出力を保存する前に呼び出すと上書きされる．
 $ 
 $FUNCTION LOG$
@@ -56,8 +52,8 @@
 
 $ =====================================================================
-$ OÌ`FbN
+$ 処理前のチェック
 $ =====================================================================
 
-$ ^XNª1ÂÈã¶Ý·é±ÆÌ`FbN
+$ タスクが1個以上存在することのチェック
 $IF !LENGTH(TSK.ID_LIST)$
 	$ERROR$$FORMAT("no task is registered")$$END$
@@ -65,5 +61,5 @@
 
 $ =====================================================================
-$ kernel_cfg.h Ì¶¬
+$ kernel_cfg.h の生成
 $ =====================================================================
 
@@ -81,6 +77,6 @@
 $NL$
 
-$ // ^XNIDðN®Dæx(tskapri)Ì¢É reallocate_tskapri ÖèÄC
-$ // è`ð kernel_cfg.h ÖoÍ·éD
+$ // タスクIDを起動優先度(tskapri)の高い順に reallocate_tskapri へ割り当て，
+$ // 定義を kernel_cfg.h へ出力する．
 $tsk_apriorder_list={}$
 $tsk_epri_list={}$
@@ -91,5 +87,5 @@
 	#define $TSK.TSKID[id]$	$tsk_index$$NL$
 
-$	DEF_EPR Åè`³êÄ¢È¢^XNÌÀsDæxªCN®DæxÆ¯¶ÉÈéæ¤É·éD
+$	DEF_EPR で定義されていないタスクの実行時優先度が，起動優先度と同じになるようにする．
 	$tsk_epri_list = APPEND(tsk_epri_list, ALT(TSK.EXEPRI[TSK.TSKID[id]], TSK.ATSKPRI[TSK.TSKID[id]]))$
 	$tsk_index = tsk_index + 1$
@@ -111,5 +107,5 @@
 
 $ =====================================================================
-$ kernel_cfg.cÌ¶¬
+$ kernel_cfg.cの生成
 $ =====================================================================
 
@@ -126,5 +122,5 @@
 
 $ ---------------------------------------------------------------------
-$  CN[hfBNeBui#includej
+$  インクルードディレクティブ（#include）
 $ ---------------------------------------------------------------------
 /*$NL$
@@ -136,5 +132,5 @@
 
 $ ---------------------------------------------------------------------
-$  IuWFNgÌIDÔðÛ·éÏ
+$  オブジェクトのID番号を保持する変数
 $ ---------------------------------------------------------------------
 $IF USE_EXTERNAL_ID$
@@ -161,5 +157,5 @@
 
 $ ---------------------------------------------------------------------
-$  g[XO}NÌftHgè`
+$  トレースログマクロのデフォルト定義
 $ ---------------------------------------------------------------------
 /*$NL$
@@ -178,14 +174,13 @@
 
 $ ---------------------------------------------------------------------
-$  ^XNÉÖ·éoÍ
-$ ---------------------------------------------------------------------
-
-$ 
-$ ÀsDæxÌRtBM
-[VÉ¬÷µ½©Ç¤©
-$ 
-$ DEF_EPR ÉG[ª­¶µ½êC±ÌÏª0ÉÈéD
-$ DEF_EPR ÉG[ª­¶µ½©Ç¤©ð»fµÄ
-$ ÁèÌÀsðubN·é½ßÉgp·éD
+$  タスクに関する出力
+$ ---------------------------------------------------------------------
+
+$ 
+$ 実行時優先度のコンフィギュレーションに成功したかどうか
+$ 
+$ DEF_EPR 処理中にエラーが発生した場合，この変数が0になる．
+$ DEF_EPR 処理中にエラーが発生したかどうかを判断して
+$ 特定処理の実行をブロックするために使用する．
 $ 
 $configurated_defepr_successfully = 1$
@@ -196,16 +191,16 @@
 $NL$
 
-$ ^XNIDÔÌÅål
+$ タスクID番号の最大値
 const ID _kernel_tmax_tskid = (TMIN_TSKID + TNUM_TSKID - 1);$NL$
 $NL$
 
-$ ready_primap Ìúl
+$ ready_primap の初期値
 $init_rdypmap = 0$
 $tsk_index = 1$
 
-$ ^XN®«D
+$ タスク属性．
 const ATR     	_kernel_tinib_tskatr[TNUM_TSKID]    = {
 $JOINEACH tskid tsk_apriorder_list ","$
-$	// TA_ACT , TA_RSTR Ü½Í TA_NULL Å éiE_RSATRj
+$	// TA_ACT , TA_RSTR または TA_NULL である（E_RSATR）
 	$IF (TSK.TSKATR[tskid] & ~(TA_ACT | TA_RSTR | ALT(TARGET_TSKATR,0))) != 0$
 		$ERROR TSK.TEXT_LINE[tskid]$E_RSATR: $FORMAT(_("illegal %1% `%2%\' of `%3%\' in %4%"), "tskatr", TSK.TSKATR[tskid], tskid, "CRE_TSK")$$END$
@@ -223,5 +218,5 @@
 const uint_t$TAB$_kernel_init_rdypmap = $init_rdypmap$U;$NL$
 
-$ g£îñ(exinf)D G[ÍRpCÜ½ÍAvÌeXgÅo·é½ßC±±ÅÍµÈ¢D
+$ 拡張情報(exinf)． エラーはコンパイル時またはアプリのテストで検出するため，ここではしない．
 const intptr_t	_kernel_tinib_exinf[TNUM_TSKID]     = {
 $JOINEACH tskid tsk_apriorder_list ","$
@@ -230,5 +225,5 @@
 };$NL$
 
-$ N®Ôn(task)DG[ÍRpCÜ½ÍAvÌeXgÅo·é½ßC±±ÅÍµÈ¢D
+$ 起動番地(task)．エラーはコンパイル時またはアプリのテストで検出するため，ここではしない．
 const TASK    	_kernel_tinib_task[TNUM_TSKID]      = {
 $JOINEACH tskid tsk_apriorder_list ","$
@@ -237,12 +232,12 @@
 };$NL$
 
-$ N®Dæx(atskpri)D
+$ 起動優先度(atskpri)．
 $FOREACH tskid tsk_apriorder_list$
-$	// atskpri Í TMIN_TPRI ÈãCTMAX_TPRI ÈºÅ éDiE_PARj
+$	// atskpri は TMIN_TPRI 以上，TMAX_TPRI 以下である．（E_PAR）
  	$IF !(TMIN_TPRI <= TSK.ATSKPRI[tskid] && TSK.ATSKPRI[tskid] <= TMAX_TPRI)$
  		$ERROR TSK.TEXT_LINE[tskid]$E_PAR: $FORMAT(_("illegal %1% `%2%\' of `%3%\' in %4%"), "atskpri", TSK.ATSKPRI[tskid], tskid, "CRE_TSK")$$END$
  	$END$
 
-$	// atskpri Íd¡ªÈ¢DiE_PARj
+$	// atskpri は重複がない．（E_PAR）
 	$FOREACH tskid2 tsk_apriorder_list$
 		$IF tskid != tskid2 && TSK.ATSKPRI[tskid] == TSK.ATSKPRI[tskid2] $
@@ -252,5 +247,5 @@
 $END$
 
-$ ÀsDæx(exepri)D
+$ 実行時優先度(exepri)．
 const uint_t  	_kernel_tinib_epriority[TNUM_TSKID] = {
 $epri_allocated = 0$
@@ -259,5 +254,5 @@
 	$epri = AT(tsk_epri_list, tsk_index)$
 
-$	// exepri Í TMIN_TPRI Èã©Â TMAX_TPRI ÈºÅ éD(E_PAR)
+$	// exepri は TMIN_TPRI 以上かつ TMAX_TPRI 以下である．(E_PAR)
 	$IF TMIN_TPRI > epri || TMAX_TPRI < epri$
 		$configurated_defepr_successfully = 0$
@@ -265,5 +260,5 @@
 	$END$
 
-$	// exepri Í atskpri ÈºÌlðàÂ(DæxÆµÄÍ¯¶©»êæè¢)D(E_ILUSE)
+$	// exepri は atskpri 以下の値をもつ(優先度としては同じかそれより高い)．(E_ILUSE)
 	$IF epri <= TMAX_TPRI && epri > TSK.ATSKPRI[tskid]$
 		$configurated_defepr_successfully = 0$
@@ -271,5 +266,5 @@
 	$END$
 
-$	// exepri Ìà\»ðèµ reallocate_tskepri Éi[D
+$	// exepri の内部表現を決定し reallocate_tskepri に格納．
 	$FOREACH tskid2 tsk_apriorder_list $
 	 	$IF epri_allocated != 1 && epri <= TSK.ATSKPRI[tskid2]$
@@ -285,5 +280,5 @@
 
 $ 
-$ // DæxèÄÊðoÍ
+$ // 優先度割り当て結果を出力
 $ 
 /*$NL$
@@ -295,10 +290,10 @@
 
 $ 
-$  ^XNÌÅåX^bNgpÊÌvZ
-$ 
-
-$ X^bNTCYÉÖ·éG[`FbN
+$  タスクの最大スタック使用量の計算
+$ 
+
+$ スタックサイズに関するエラーチェック
 $FOREACH tskid TSK.ID_LIST$
-$	// stkszª0©C^[Qbgè`ÌÅ¬liTARGET_MIN_STKSZjæèà¬³¢êiE_PARj
+$	// stkszが0か，ターゲット定義の最小値（TARGET_MIN_STKSZ）よりも小さい場合（E_PAR）
 	$IF TSK.STKSZ[tskid] == 0 || (LENGTH(TARGET_MIN_STKSZ) && 
 										TSK.STKSZ[tskid] < TARGET_MIN_STKSZ)$
@@ -308,8 +303,8 @@
 
 $  
-$ Öè`
-$ 
-$ 
-$ Ö1: N®DæxÌá¢É\[eBO·é½ßÌärÖ
+$ 関数定義
+$ 
+$ 
+$ 関数1: 起動時優先度の低い順にソーティングするための比較関数
 $ 
 $FUNCTION compare_tskapri_rev$
@@ -318,45 +313,45 @@
 
 $ 
-$ Ö2: wèµ½^XNÉÎ·éX^bNgpÊÌÅåðvZ·éÖ
-$    ø : ARGV[1] : ^XNID(à\», N®DæxÌà\»Éµ¢)
-$    Ôl : RESULT  : Y^XNÉÎ·éX^bNgpÊÌÅålD
-$                     ±ÌlÍCY^XNÌÀsJn©çI¹ÜÅÌÔÉ
-$                     »Ì^XNÉÎ·évGvgðl¶µÄX^bNgpÊð
-$                     vZµ½êÉCÂ\«Ì égÝí¹ÌÅÅåÆÈélðÔ·D
+$ 関数2: 指定したタスクに対するスタック使用量の最大を計算する関数
+$    引数 : ARGV[1] : タスクID(内部表現, 起動時優先度の内部表現に等しい)
+$    返値 : RESULT  : 当該タスクに対するスタック使用量の最大値．
+$                     この値は，当該タスクの実行開始から終了までの間に
+$                     そのタスクに対するプリエンプトを考慮してスタック使用量を
+$                     計算した場合に，可能性のある組み合わせの中で最大となる値を返す．
 $ 
 $nest_level = 0$
 $ 
 $FUNCTION calc_stksz$
-$	// ÏXg
+$	// 変数リスト
 	$nest_level = nest_level + 1$
 	$arg[nest_level] = ARGV[1]$
 	$calculated_stack_size = 0$
 
-$	// Jn
+$	// 処理開始
 $SPC$* $LOG(nest_level-1)$Calculation start (Task ID = $arg[nest_level]$, StackSize[$arg[nest_level]$]=$TSK.STKSZ[arg[nest_level]]$)$NL$
 
-$	// wèµ½^XNID ÌX^bNvZª®¹µÄ¢é©
+$	// 指定したタスクID のスタック計算が完了しているか
 	$IF	LENGTH(done[arg[nest_level]]) == 0$
 
 $SPC$* $LOG(nest_level)$Task list with higher priority than $arg[nest_level]$ = $higher_pri_tsklist[arg[nest_level]]$$NL$
 
-$		// (1) ®¹µÄ¢È¢ê
-$		// ÏÌú»
+$		// (1) 完了していない場合
+$		// 変数の初期化
 		$max_stksz[arg[nest_level]] = 0$
 		$higher_pri_maxstksz[arg[nest_level]] = 0$
 
-$		// Y^XNID ÌÀsDæxæè¢N®DæxðÂ^XNª¶Ý·éê
+$		// 当該タスクID の実行時優先度より高い起動優先度を持つタスクが存在する場合
 		$IF LENGTH(higher_pri_tsklist[arg[nest_level]]) > 0$
-$			// »ê¼êÌDæx^XNÉÎµ
+$			// それぞれの高優先度タスクに対し
 			$FOREACH id higher_pri_tsklist[arg[nest_level]]$
-$				// ÄAÄo·éÆÏªã«³êé½ßCÛ¶µÄ¨­
+$				// 再帰呼出すると変数が上書きされるため，保存しておく
 				$id_saved[nest_level] = id$
-$				// X^bNvZðÀs·é
+$				// スタック計算を実行する
 				$calculated_stack_size = calc_stksz(id_saved[nest_level])$
-$				// Û¶µ½ÏðA
+$				// 保存した変数を復帰
 				$id = id_saved[nest_level]$
 
 				$IF higher_pri_maxstksz[arg[nest_level]] < calculated_stack_size$
-$					// L¯µÄ¨­
+$					// 記憶しておく
 					$higher_pri_maxstksz[arg[nest_level]] = calculated_stack_size$
 				$END$
@@ -366,19 +361,19 @@
 $SPC$* $LOG(nest_level)$higher_pri_maxstksz[$arg[nest_level]$] = $higher_pri_maxstksz[arg[nest_level]]$$NL$
 
-$		// Dæx^XNÌX^bNgpÊÉCY^XNÌgpÊðÁZ·é
+$		// 高優先度タスクのスタック使用量に，当該タスクの使用量を加算する
 		$max_stksz[arg[nest_level]] = higher_pri_maxstksz[arg[nest_level]] + TSK.STKSZ[arg[nest_level]]$
 
 $SPC$* $LOG(nest_level)$DONE(max_stksz[$arg[nest_level]$] = $max_stksz[arg[nest_level]]$)$NL$
 
-$		// Y^XNIDÉÎµÄÍvZðÏÜ¹½Æ¢¤L^ðcµÄ¨­
+$		// 当該タスクIDに対しては計算を済ませたという記録を残しておく
 		$done[arg[nest_level]] = 1$
 
 	$ELSE$
-$		// (2) vZªùÉ®¹µÄ¢éêCvZðXLbv·éD
+$		// (2) 計算が既に完了している場合，計算をスキップする．
 
 $SPC$* $LOG(nest_level)$SKIP(max_stksz[$arg[nest_level]$] = $max_stksz[arg[nest_level]]$)$NL$
 	$END$
 
-$	// ©ÏàèÌÅålðÔ·
+$	// 見積もりの最大値を返す
 	$RESULT = max_stksz[arg[nest_level]]$
 	$nest_level = nest_level - 1$
@@ -386,14 +381,14 @@
 
 $ 
-$ Öè`±±ÜÅC±±©çX^bNvZÌJn
-$ 
-
-$ 
-$ Ü¸ÍØ\¢Ìf[^\¢ì¬
+$ 関数定義ここまで，ここからスタック計算処理の開始
+$ 
+
+$ 
+$ まずは木構造のデータ構造作成
 $ 
 $FOREACH id LSORT(tsk_apriorder_list, "compare_tskapri_rev")$
 
-$	// e^XNÉC»ÌÀsDæxæèà¢N®DæxðÂ^XNÌXgðìéD
-$	// »êÍvGvg³êéÂ\«Ì é^XNÌêÆÈéD
+$	// 各タスク毎に，その実行時優先度よりも高い起動時優先度を持つタスクのリストを作る．
+$	// それはプリエンプトされる可能性のあるタスクの一覧となる．
 	$FOREACH id2 LSORT(tsk_apriorder_list, "compare_tskapri_rev")$
 		$IF reallocate_tskepri[id] > reallocate_tskapri[id2]$
@@ -402,8 +397,8 @@
 	$END$
 
-$	// vGvg·éE³êéÖWð¦·Ø\¢Ìª(root)ÆÈé^XNÌTõD
-$	//   ÎÛ^XN(id)ÌN®Dæx(reallocate_tskapri[id])æèá¢
-$	//   (lÆµÄÍå«¢)N®DæxðàÂ^XNÌ higher_pri_tsklist ÉC
-$	//   ÎÛ^XN(id) ªÜÜêÈ¯êÎCªÆÈéD
+$	// プリエンプトする・される関係を示す木構造の根(root)となるタスクの探索．
+$	//   対象タスク(id)の起動時優先度(reallocate_tskapri[id])より低い
+$	//   (値としては大きい)起動時優先度をもつタスクの higher_pri_tsklist に，
+$	//   対象タスク(id) が含まれなければ，根となる．
 	$is_root = 1$
 	$FOREACH id2 LSORT(tsk_apriorder_list, "compare_tskapri_rev")$
@@ -414,5 +409,5 @@
 		$END$
 	$END$
-$	// ª(root)ÆÈé^XNÈçÎCXgÖÇÁ
+$	// 根(root)となるタスクならば，リストへ追加
 	$IF is_root == 1$
 		$root_apri = APPEND(root_apri, id)$
@@ -421,5 +416,5 @@
 
 $ 
-$ oÍJn
+$ 出力開始
 $ 
 
@@ -428,11 +423,11 @@
 $SPC$* $NL$
 
-$ // ªÆÈée^XNÉÎµÄC»ÌÅå^XNgpÊðvZµCXgÖÇÁ·éD
+$ // 根となる各タスクに対して，その最大タスク使用量を計算し，リストへ追加する．
 $FOREACH root_id root_apri$
 	$stksz_estimated = APPEND(stksz_estimated, calc_stksz(root_id))$
 $END$
 
-$ // ^XNÌX^bNgpÊÌÅålðè
-$ // XgÌvfÌÅålª^XNÌÅåX^bNgpÊÆÈéD
+$ // タスクのスタック使用量の最大値を決定
+$ // リスト中の要素の最大値がタスクの最大スタック使用量となる．
 $max_tsk_stksz = 0$
 $FOREACH size stksz_estimated$
@@ -442,5 +437,5 @@
 $END$
 
-$ // mF
+$ // 確認
 $SPC$* List of Estimated Total Stack Sizes of Tasks = $stksz_estimated$$NL$
 $SPC$* Estimated Maximum Total Stack Size of Tasks = $max_tsk_stksz$$NL$
@@ -449,11 +444,11 @@
 
 
-$ SÄÌPÊÌX^bNÍ¤L³êéD
-$ »Ì½ßCX^bNTCYÉÖ·é`FbNÍ
-$ ¤LX^bNÝèÌÆ±ëÅÜÆßÄs¤D
-
-$ X^bNÌæªÔn(stk)D
+$ 全ての処理単位のスタックは共有される．
+$ そのため，スタックサイズに関するチェックは
+$ 共有スタック設定のところでまとめて行う．
+
+$ スタックの先頭番地(stk)．
 $FOREACH tskid tsk_apriorder_list$
-$	// íÉ NULL Å éD(E_PAR)
+$	// 常に NULL である．(E_PAR)
 	$IF !EQ(TSK.STK[tskid], "NULL")$
 		$ERROR TSK.TEXT_LINE[tskid]$E_PAR: $FORMAT(("'%1%' of %2% must be NULL."), "stk", "CRE_TSK")$$END$
@@ -462,5 +457,5 @@
 
 $ ---------------------------------------------------------------------
-$  CxgtO
+$  イベントフラグ
 $ ---------------------------------------------------------------------
 /*$NL$
@@ -469,14 +464,14 @@
 $NL$
 
-$ Ggª (UINT8_MAX - TMIN_FLGID)Âæè½¢êÍCG[Æ·é --> »_ÅÍRgAEg
+$ エントリが (UINT8_MAX - TMIN_FLGID)個より多い場合は，エラーとする --> 現時点ではコメントアウト
 $ $IF LENGTH(ALM.ORDER_LIST) > (UINT8_MAX - TMIN_FLGID)$
 $ 	$ERROR$$FORMAT("The number of CRE_FLG must be equal to or less than (UINT8_MAX - TMIN_FLGID).")$$END$
 $ $END$
 
-$ CxgtOIDÔÌÅål
+$ イベントフラグID番号の最大値
 const ID _kernel_tmax_flgid = (TMIN_FLGID + TNUM_FLGID - 1);$NL$
 $NL$
 
-$	// iflgptnªFLGPTNÉi[Å«È¢êiE_PARj 
+$	// iflgptnがFLGPTNに格納できない場合（E_PAR） 
 $FOREACH flgid FLG.ORDER_LIST$
 	$IF (FLG.IFLGPTN[flgid] & ~((1 << TBIT_FLGPTN) - 1)) != 0$ 
@@ -485,11 +480,11 @@
 $END$
 
-$ CxgtOú»ubNÌ¶¬
+$ イベントフラグ初期化ブロックの生成
 $IF LENGTH(FLG.ID_LIST)$
 
-$	CxgtO®«
+$	イベントフラグ属性
 	const ATR _kernel_flginib_atr[TNUM_FLGID] = {
 		$JOINEACH flgid FLG.ORDER_LIST ","$
-$			// flgatrªimTA_CLRnjÅÈ¢êiE_RSATRj
+$			// flgatrが（［TA_CLR］）でない場合（E_RSATR）
 			$IF (FLG.FLGATR[flgid] & ~(TA_CLR)) != 0$
 				$ERROR FLG.TEXT_LINE[flgid]$E_RSATR: $FORMAT(_("illegal %1% `%2%\' of `%3%\' in %4%"), "flgatr", FLG.FLGATR[flgid], flgid, "CRE_FLG")$$END$
@@ -499,5 +494,5 @@
 	};$NL$
 	
-$	CxgtOp^[Ìúl
+$	イベントフラグパターンの初期値
 	const FLGPTN _kernel_flginib_iflgptn[TNUM_FLGID] = {
 		$JOINEACH flgid FLG.ORDER_LIST ","$
@@ -506,5 +501,5 @@
 	};$NL$
 
-$       // CxgtOÌ»ÝÌtOp^[ði[·éÏ
+$       // イベントフラグの現在のフラグパターンを格納する変数
         FLGPTN _kernel_flgcb_flgptn[TNUM_FLGID];$NL$
 $ELSE$
@@ -516,6 +511,5 @@
 
 $ ---------------------------------------------------------------------
-$  f[^L
-[
+$  データキュー
 $ ---------------------------------------------------------------------
 /*$NL$
@@ -524,6 +518,5 @@
 $NL$
 
-$ f[^L
-[IDÔÌÅål
+$ データキューID番号の最大値
 const ID _kernel_tmax_dtqid = (TMIN_DTQID + TNUM_DTQID - 1);$NL$
 $NL$
@@ -531,15 +524,15 @@
 $IF LENGTH(DTQ.ID_LIST)$
         $FOREACH dtqid DTQ.ORDER_LIST$
-$               // dtqatrª TA_NULL ÅÈ¢êiE_RSATRj
+$               // dtqatrが TA_NULL でない場合（E_RSATR）
                 $IF (DTQ.DTQATR[dtqid] != TA_NULL) $
                         $ERROR DTQ.TEXT_LINE[dtqid]$E_RSATR: $FORMAT(_("illegal %1% `%2%\' of `%3%\' in %4%"), "dtqatr", DTQ.DTQATR[dtqid], dtqid, "CRE_DTQ")$$END$
                 $END$
 
-$               // dtqmbªNULLÅÈ¢êiE_NOSPTj
+$               // dtqmbがNULLでない場合（E_NOSPT）
                 $IF !EQ(DTQ.DTQMB[dtqid], "NULL")$
                         $ERROR DTQ.TEXT_LINE[dtqid]$E_NOSPT: $FORMAT(_("illegal %1% `%2%\' of `%3%\' in %4%"), "dtqmb", DTQ.DTQMB[dtqid], dtqid, "CRE_DTQ")$$END$
                 $END$
 
-$               // dtqcntª0Å éê
+$               // dtqcntが0である場合
                 $IF EQ(+DTQ.DTQCNT[dtqid], 0)$
                         $ERROR DTQ.TEXT_LINE[dtqid]$E_PAR: $FORMAT(_("illegal %1% `%2%\' of `%3%\' in %4%"), "dtqmb", DTQ.DTQCNT[dtqid], dtqid, "CRE_DTQ")$$END$
@@ -547,6 +540,5 @@
 				
 
-$               // f[^L
-[Ìæ
+$               // データキュー領域
                 $IF DTQ.DTQCNT[dtqid]$
                         static intptr_t _kernel_dtqmb_$dtqid$[$DTQ.DTQCNT[dtqid]$];$NL$
@@ -554,6 +546,5 @@
         $END$
 
-$       // f[^L
-[ú»ubNÌ¶¬(®«)
+$       // データキュー初期化ブロックの生成(属性)
         const ATR _kernel_dtqinib_atr[TNUM_DTQID] = {
         	$JOINEACH dtqid DTQ.ORDER_LIST ",\n"$
@@ -563,6 +554,5 @@
         $NL$
 
-$       // f[^L
-[ú»ubNÌ¶¬(TCY)
+$       // データキュー初期化ブロックの生成(サイズ)
         const uint8_t _kernel_dtqinib_size[TNUM_DTQID] = {
         	$JOINEACH dtqid DTQ.ORDER_LIST ",\n"$
@@ -572,6 +562,5 @@
         $NL$
 
-$       // f[^L
-[ú»ubNÌ¶¬(ÇÌæ)
+$       // データキュー初期化ブロックの生成(管理領域)
         intptr_t * const _kernel_dtqinib_data[TNUM_DTQID] = {
         	$JOINEACH dtqid DTQ.ORDER_LIST ",\n"$
@@ -581,6 +570,5 @@
         $NL$
 
-$       // f[^L
-[Rg[ubN
+$       // データキューコントロールブロック
         uint8_t _kernel_dtqcb_count[TNUM_DTQID];$NL$
         uint8_t _kernel_dtqcb_head[TNUM_DTQID];$NL$
@@ -598,5 +586,5 @@
 
 $ ---------------------------------------------------------------------
-$  ÝÇ@\
+$  割込み管理機能
 $ ---------------------------------------------------------------------
 /*$NL$
@@ -605,5 +593,5 @@
 $NL$
 
-$ // INTNO_ATTISR_VALID Ìvfªd¡µÄ¢È¢©Ç¤©Ì`FbN
+$ // INTNO_ATTISR_VALID の要素が重複していないかどうかのチェック
 $i = 0$
 $FOREACH intno INTNO_ATTISR_VALID$
@@ -618,5 +606,5 @@
 $END$
 
-$ // INHNO_ATTISR_VALID Ìvfªd¡µÄ¢È¢©Ç¤©Ì`FbN
+$ // INHNO_ATTISR_VALID の要素が重複していないかどうかのチェック
 $i = 0$
 $FOREACH intno INHNO_ATTISR_VALID$
@@ -632,6 +620,6 @@
 
 
-$ // ATT_ISR ÅgpÂ\ÈÝÔÆC»êÉÎ·éÝnhÔÌª¯¶©Ç¤©
-$ // eXgÌvfÍd¡µÄ¢È¢±ÆðOñÆµÄ¢éD
+$ // ATT_ISR で使用可能な割込み番号と，それに対応する割込みハンドラ番号の数が同じかどうか
+$ // 各リストの要素は重複していないことを前提としている．
 $IF LENGTH(INTNO_ATTISR_VALID) != LENGTH(INHNO_ATTISR_VALID)$
 	$ERROR$length of `INTNO_ATTISR_VALID' is different from length of `INHNO_ATTISR_VALID'$END$
@@ -639,12 +627,12 @@
 
 
-$ // ÝÔÆÝnhÔÌÏ·e[uÌì¬
-$ //  ÝÔÌXgÆÝnhÔÌXgÍÎ·évfª¯¶ÔÅ
-$ //  »êéæ¤ÉÀ×çêÄ¢é±ÆðOñÆ·éD
+$ // 割込み番号と割込みハンドラ番号の変換テーブルの作成
+$ //  割込み番号のリストと割込みハンドラ番号のリストは対応する要素が同じ順番で
+$ //  現れるように並べられていることを前提とする．
 $i = 0$
 $FOREACH intno INTNO_ATTISR_VALID$
 
-$	// INTNO_ATTISR_VALID ÉÜÜêélÍ INTNO_CFGINT_VALID ÉàÜÜêé×«Å éD
-$	// INTNO_ATTISR_VALID Í INTNO_CFGINT_VALID ÌªWÉÈéÍ¸D
+$	// INTNO_ATTISR_VALID に含まれる値は INTNO_CFGINT_VALID にも含まれるべきである．
+$	// INTNO_ATTISR_VALID は INTNO_CFGINT_VALID の部分集合になるはず．
 	$IF LENGTH(FIND(INTNO_CFGINT_VALID, intno)) == 0$
 		$ERROR$all elements of `INTNO_ATTISR_VALID' must be included in `INTNO_CFGINT_VALID'$END$
@@ -658,6 +646,6 @@
 
 
-$ // INTNO_CFGINT_VALID Ìvfª INTNO_VALID ÉÜÜêé©Ç¤©Ì`FbN
-$ // INTNO_CFGINT_VALID Í INTNO_VALID ÌªWÉÈéÍ¸D
+$ // INTNO_CFGINT_VALID の要素が INTNO_VALID に含まれるかどうかのチェック
+$ // INTNO_CFGINT_VALID は INTNO_VALID の部分集合になるはず．
 $FOREACH intno INTNO_CFGINT_VALID$
 	$IF LENGTH(FIND(INTNO_VALID, intno)) == 0$
@@ -667,6 +655,6 @@
 
 
-$ // INHNO_ATTISR_VALID Ìvfª INHNO_VALID ÉÜÜêé©Ç¤©Ì`FbN
-$ // INHNO_ATTISR_VALID Í INHNO_VALID ÌªWÉÈéÍ¸D
+$ // INHNO_ATTISR_VALID の要素が INHNO_VALID に含まれるかどうかのチェック
+$ // INHNO_ATTISR_VALID は INHNO_VALID の部分集合になるはず．
 $FOREACH inhno INHNO_ATTISR_VALID$
 	$IF LENGTH(FIND(INHNO_VALID, inhno)) == 0$
@@ -676,13 +664,13 @@
 
 
-$ // ÝvCÉÖ·éG[`FbN
+$ // 割込み要求ラインに関するエラーチェック
 $i = 0$
 $FOREACH intno INT.ORDER_LIST$
-$	// intnoªCFG_INTÉÎ·éÝÔÆµÄ³µ­È¢êiE_PARj
+$	// intnoがCFG_INTに対する割込み番号として正しくない場合（E_PAR）
 	$IF !LENGTH(FIND(INTNO_CFGINT_VALID, INT.INTNO[intno]))$
 		$ERROR INT.TEXT_LINE[intno]$E_PAR: $FORMAT(_("illegal %1% `%2%\' in %3%"), "intno", INT.INTNO[intno], "CFG_INT")$$END$
 	$END$
 
-$	// intnoªCFG_INTÉæÁÄÝèÏÝÌêiE_OBJj
+$	// intnoがCFG_INTによって設定済みの場合（E_OBJ）
 	$j = 0$
 	$FOREACH intno2 INT.ORDER_LIST$
@@ -693,15 +681,15 @@
 	$END$
 
-$	// intatrª TA_ENAINT, TA_EDGE, Ü½Í»Ì¼^[QbgÅpÂ\È®«Ì¢¸êÅàÈ¢êiE_RSATRj
+$	// intatrが TA_ENAINT, TA_EDGE, またはその他ターゲットで利用可能な属性のいずれでもない場合（E_RSATR）
 	$IF (INT.INTATR[intno] & ~(TA_ENAINT|TA_EDGE|ALT(TARGET_INTATR,0))) != 0$
 		$ERROR INT.TEXT_LINE[intno]$E_RSATR: $FORMAT(_("illegal %1% `%2%\' of %3% `%4%\' in %5%"), "intatr", INT.INTATR[intno], "intno", INT.INTNO[intno], "CFG_INT")$$END$
 	$END$
 
-$	// intpriªCFG_INTÉÎ·éÝDæxÆµÄ³µ­È¢êiE_PARj
+$	// intpriがCFG_INTに対する割込み優先度として正しくない場合（E_PAR）
 	$IF !LENGTH(FIND(INTPRI_CFGINT_VALID, INT.INTPRI[intno]))$
 		$ERROR INT.TEXT_LINE[intno]$E_PAR: $FORMAT(_("illegal %1% `%2%\' in %3%"), "intpri", INT.INTPRI[intno], "CFG_INT")$$END$
 	$END$
 
-$	// J[lÇÌÝÆµÄÅè³êÄ¢éÝÉCTMIN_INTPRI æèà¬³¢lªwè³ê½êiE_OBJj
+$	// カーネル管理の割込みとして固定されている割込みに，TMIN_INTPRI よりも小さい値が指定された場合（E_OBJ）
 	$IF LENGTH(FIND(INTNO_FIX_KERNEL, intno))$
 		$IF INT.INTPRI[intno] < TMIN_INTPRI$
@@ -710,5 +698,5 @@
 	$END$
 
-$	// J[lÇOÌÝÆµÄÅè³êÄ¢éÝÉCTMIN_INTPRI æèà¬³¢lªwè³êÈ©Á½êiE_OBJj
+$	// カーネル管理外の割込みとして固定されている割込みに，TMIN_INTPRI よりも小さい値が指定されなかった場合（E_OBJ）
 	$IF LENGTH(FIND(INTNO_FIX_NONKERNEL, intno))$
 		$IF INT.INTPRI[intno] >= TMIN_INTPRI$
@@ -720,13 +708,13 @@
 
 
-$ ÝnhÉÖ·éG[`FbN
+$ 割込みハンドラに関するエラーチェック
 $i = 0$
 $FOREACH inhno INH.ORDER_LIST$
-$	// ÝnhÔ(inhno)ª³µ­È¢êiE_PARj
+$	// 割込みハンドラ番号(inhno)が正しくない場合（E_PAR）
 	$IF !LENGTH(FIND(INHNO_DEFINH_VALID, INH.INHNO[inhno]))$
 		$ERROR INH.TEXT_LINE[inhno]$E_PAR: $FORMAT(_("illegal %1% `%2%\' in %3%"), "inhno", INH.INHNO[inhno], "DEF_INH")$$END$
 	$END$
 
-$	// ¯¶ÝnhÔÉÎ·éDEF_INHª¡¶Ý·éêiE_OBJj
+$	// 同じ割込みハンドラ番号に対するDEF_INHが複数存在する場合（E_OBJ）
 	$j = 0$
 	$FOREACH inhno2 INH.ORDER_LIST$
@@ -737,10 +725,10 @@
 	$END$
 
-$	// Ýnh®«(inhatr) ª TA_NULL, TA_NONKERNEL, yÑ»Ì¼^[QbgË¶ÅpÂ\È®«Ì¢¸êÅàÈ¢iE_RSATRj
+$	// 割込みハンドラ属性(inhatr) が TA_NULL, TA_NONKERNEL, 及びその他ターゲット依存で利用可能な属性のいずれでもない（E_RSATR）
 	$IF (INH.INHATR[inhno] & ~(TA_NONKERNEL|ALT(TARGET_INHATR,0))) != 0$
 		$ERROR INH.TEXT_LINE[inhno]$E_RSATR: $FORMAT(_("illegal %1% `%2%\' of %3% `%4%\' in %5%"), "inhatr", INH.INHATR[inhno], "inhno", INH.INHNO[inhno], "DEF_INH")$$END$
 	$END$
 
-$	// J[lÇÉÅè³êÄ¢éÝnhÉCTA_NONKERNEL ®«ªÝè³êÄ¢éiE_RSATRj
+$	// カーネル管理に固定されている割込みハンドラに，TA_NONKERNEL 属性が設定されている（E_RSATR）
 	$IF LENGTH(FIND(INHNO_FIX_KERNEL, inhno))$
 		$IF (INH.INHATR[inhno] & TA_NONKERNEL) != 0$
@@ -749,5 +737,5 @@
 	$END$
 
-$	// J[lÇOÉÅè³êÄ¢éÝnhÉCTA_NONKERNEL ®«ªÝè³êÄ¢È¢iE_RSATRj
+$	// カーネル管理外に固定されている割込みハンドラに，TA_NONKERNEL 属性が設定されていない（E_RSATR）
 	$IF LENGTH(FIND(INHNO_FIX_NONKERNEL, inhno))$
 		$IF (INH.INHATR[inhno] & TA_NONKERNEL) == 0$
@@ -757,24 +745,24 @@
 
 
-$	// ÝÔÆ1Î1Î·éÝnhÔ(ATT_ISRÅwèÂ\ÈÝnhÔ)ÍCÈºÌ`FbNàs¤D
-$	// INHNO_ATTISR_VALID ÉÜÜêÈ¢ÝnhÔÍ`FbN³êÈ¢±ÆÉÈéD
+$	// 割込み番号と1対1対応する割込みハンドラ番号(ATT_ISRで指定可能な割込みハンドラ番号)は，以下のチェックも行う．
+$	// INHNO_ATTISR_VALID に含まれない割込みハンドラ番号はチェックされないことになる．
 	$IF LENGTH(INTNO[INH.INHNO[inhno]]) > 0$
 		$intno = INTNO[INH.INHNO[inhno]]$
 
-$		// Ýnho^æÌÝvCª®«Ýè³êÄ¢È¢(CFG_INTªÈ¢)iE_OBJj
+$		// 割込みハンドラ登録先の割込み要求ラインが属性設定されていない(CFG_INTがない)（E_OBJ）
 		$IF !LENGTH(INT.INTNO[intno])$
 			$ERROR INH.TEXT_LINE[inhno]$E_OBJ: $FORMAT(_("%1% `%2%\' corresponding to %3% `%4%\' is not configured with %5%"), "intno", INT.INTNO[intno], "inhno", INH.INHNO[inhno], "CFG_INT")$$END$
 		$ELSE$
 			$IF (INH.INHATR[inhno] & TA_NONKERNEL) == 0$
-$				// inhatrÉTA_NONKERNELªwè³êÄ¨ç¸CinhnoÉÎ
-$				// ·éintnoÉÎµÄCFG_INTÅÝè³ê½ÝDæxª
-$				// TMIN_INTPRIæèà¬³¢êiE_OBJj
+$				// inhatrにTA_NONKERNELが指定されておらず，inhnoに対応
+$				// するintnoに対してCFG_INTで設定された割込み優先度が
+$				// TMIN_INTPRIよりも小さい場合（E_OBJ）
 				$IF INT.INTPRI[intno] < TMIN_INTPRI$
 					$ERROR INT.TEXT_LINE[intno]$E_OBJ: $FORMAT(_("%1% `%2%\' configured for %3% `%4%\' is higher than %5%"), "intpri", INT.INTPRI[intno], "inhno", INH.INHNO[inhno], "TMIN_INTPRI")$$END$
 				$END$
 			$ELSE$
-$				// inhatrÉTA_NONKERNELªwè³êÄ¨èCinhnoÉÎ
-$				// ·éintnoÉÎµÄCFG_INTÅÝè³ê½ÝDæxª
-$				// TMIN_INTPRIÈãÅ éêiE_OBJj
+$				// inhatrにTA_NONKERNELが指定されており，inhnoに対応
+$				// するintnoに対してCFG_INTで設定された割込み優先度が
+$				// TMIN_INTPRI以上である場合（E_OBJ）
 				$IF INT.INTPRI[intno] >= TMIN_INTPRI$
 					$ERROR INT.TEXT_LINE[intno]$E_OBJ: $FORMAT(_("%1% `%2%\' configured for %3% `%4%\' is lower than or equal to %5%"), "intpri", INT.INTPRI[intno], "inhno", INH.INHNO[inhno], "TMIN_INTPRI")$$END$
@@ -786,17 +774,17 @@
 $END$
 
-$ ÝT[rX[`iISRjÉÖ·éG[`FbNÆÝnhÌ¶¬
+$ 割込みサービスルーチン（ISR）に関するエラーチェックと割込みハンドラの生成
 $FOREACH order ISR.ORDER_LIST$
-$	// isratrªiTA_NULLjÅÈ¢êiE_RSATRj
+$	// isratrが（TA_NULL）でない場合（E_RSATR）
 	$IF (ISR.ISRATR[order] & ~ALT(TARGET_ISRATR,0)) != 0$
 		$ERROR ISR.TEXT_LINE[order]$E_RSATR: $FORMAT(_("illegal %1% `%2%\' of %3% `%4%\' in %5%"), "isratr", ISR.ISRATR[order], "isr", ISR.ISR[order], "ATT_ISR")$$END$
 	$END$
 
-$	// intnoªATT_ISRÉÎ·éÝÔÆµÄ³µ­È¢êiE_PARj
+$	// intnoがATT_ISRに対する割込み番号として正しくない場合（E_PAR）
 	$IF !LENGTH(FIND(INTNO_ATTISR_VALID, ISR.INTNO[order]))$
 		$ERROR ISR.TEXT_LINE[order]$E_PAR: $FORMAT(_("illegal %1% `%2%\' in %3%"), "intno", ISR.INTNO[order], "ATT_ISR")$$END$
 	$END$
 
-$	// (TMIN_ISRPRI <= isrpri && isrpri <= TMAX_ISRPRI)ÅÈ¢êiE_PARj
+$	// (TMIN_ISRPRI <= isrpri && isrpri <= TMAX_ISRPRI)でない場合（E_PAR）
 	$IF !(TMIN_ISRPRI <= ISR.ISRPRI[order] && ISR.ISRPRI[order] <= TMAX_ISRPRI)$
 		$ERROR ISR.TEXT_LINE[order]$E_PAR: $FORMAT(_("illegal %1% `%2%\' in %3%"), "isrpri", ISR.ISRPRI[order], "ATT_ISR")$$END$
@@ -808,5 +796,5 @@
 	$inhno = INHNO[intno]$
 
-$	// ÝÔintnoÉÎµÄo^³ê½ISRÌXgÌì¬
+$	// 割込み番号intnoに対して登録されたISRのリストの作成
 	$isr_order_list = {}$
 	$FOREACH order ISR.ORDER_LIST$
@@ -817,17 +805,17 @@
 	$END$
 
-$	// ÝÔintnoÉÎµÄo^³ê½ISRª¶Ý·éê
+$	// 割込み番号intnoに対して登録されたISRが存在する場合
 	$IF LENGTH(isr_order_list) > 0$
-$		// intnoÉÎ·éinhnoÉÎµÄDEF_INHª éêiE_OBJj
+$		// intnoに対応するinhnoに対してDEF_INHがある場合（E_OBJ）
 		$IF LENGTH(INH.INHNO[inhno])$
 			$ERROR ISR.TEXT_LINE[order_for_error]$E_OBJ: $FORMAT(_("%1% `%2%\' in %3% is duplicated with %4% `%5%\'"), "intno", ISR.INTNO[order_for_error], "ATT_ISR", "inhno", INH.INHNO[inhno])$$END$
 		$END$
 
-$		// intnoÉÎ·éCFG_INTªÈ¢êiE_OBJj
+$		// intnoに対するCFG_INTがない場合（E_OBJ）
 		$IF !LENGTH(INT.INTNO[intno])$
 			$ERROR ISR.TEXT_LINE[order_for_error]$E_OBJ: $FORMAT(_("%1% `%2%\' is not configured with %3%"), "intno", ISR.INTNO[order_for_error], "CFG_INT")$$END$
 		$ELSE$
-$			// intnoÉÎµÄCFG_INTÅÝè³ê½ÝDæxªTMIN_INTPRI
-$			// æèà¬³¢êiE_OBJj
+$			// intnoに対してCFG_INTで設定された割込み優先度がTMIN_INTPRI
+$			// よりも小さい場合（E_OBJ）
 			$IF INT.INTPRI[intno] < TMIN_INTPRI$
 				$ERROR INT.TEXT_LINE[intno]$E_OBJ: $FORMAT(_("%1% `%2%\' configured for %3% `%4%\' is higher than %5%"), "intpri", INT.INTPRI[intno], "intno", ISR.INTNO[order_for_error], "TMIN_INTPRI")$$END$
@@ -841,5 +829,5 @@
 		$INH.ORDER_LIST = APPEND(INH.ORDER_LIST, inhno)$
 
-$		// ISRpÌÝnh
+$		// ISR用の割込みハンドラ
 		void$NL$
 		_kernel_inthdr_$intno$(void)$NL$
@@ -853,5 +841,5 @@
 			$TAB$i_begin_int($intno$);$NL$
 		$END$
-$		// ISRðDæxÉÄÑo·
+$		// ISRを優先度順に呼び出す
 		$JOINEACH order SORT(isr_order_list, "ISR.ISRPRI") "\tif (i_sense_lock()) {\n\t\ti_unlock_cpu();\n\t}\n\ti_set_ipm(saved_ipm);\n"$
 			$TAB$LOG_ISR_ENTER($intno$);$NL$
@@ -866,10 +854,10 @@
 
 $ 
-$ ÝÇ@\Ì½ßÌWIÈú»îñÌ¶¬
-$ 
-$ ÝnhÌú»ÉKvÈîñ
+$ 割込み管理機能のための標準的な初期化情報の生成
+$ 
+$ 割込みハンドラの初期化に必要な情報
 $IF !OMIT_INITIALIZE_INTERRUPT || ALT(USE_INHINIB_TABLE,0)$
 
-$ Ýnh
+$ 割込みハンドラ数
 #define TNUM_INHNO	$LENGTH(INH.ORDER_LIST)$$NL$
 const uint_t _kernel_tnum_inhno = TNUM_INHNO;$NL$
@@ -879,5 +867,5 @@
 $END$
 
-$ Ýnhú»e[u
+$ 割込みハンドラ初期化テーブル
 $IF LENGTH(INH.ORDER_LIST)$
 	const INHNO _kernel_inhinib_inhno[TNUM_INHNO] = {
@@ -905,13 +893,13 @@
 $END$
 
-$ ÝvCÌú»ÉKvÈîñ
+$ 割込み要求ラインの初期化に必要な情報
 $IF !OMIT_INITIALIZE_INTERRUPT || ALT(USE_INTINIB_TABLE,0)$ 
 
-$ ÝvC
+$ 割込み要求ライン数
 #define TNUM_INTNO	$LENGTH(INT.ORDER_LIST)$$NL$
 const uint_t _kernel_tnum_intno = TNUM_INTNO;$NL$
 $NL$
 
-$ ÝvCú»e[u
+$ 割込み要求ライン初期化テーブル
 $IF LENGTH(INT.ORDER_LIST)$
 	const INTNO _kernel_intinib_intno[TNUM_INTNO] = {
@@ -941,5 +929,5 @@
 
 $ ---------------------------------------------------------------------
-$  CPUáOnh
+$  CPU例外ハンドラ
 $ ---------------------------------------------------------------------
 /*$NL$
@@ -948,6 +936,6 @@
 $NL$
 
-$ // EXCNO_DEFEXC_VALID Ìvfª EXCNO_VALID ÉÜÜêé©Ç¤©Ì`FbN
-$ // EXCNO_DEFEXC_VALID Í EXCNO_VALID ÌªWÉÈéÍ¸D
+$ // EXCNO_DEFEXC_VALID の要素が EXCNO_VALID に含まれるかどうかのチェック
+$ // EXCNO_DEFEXC_VALID は EXCNO_VALID の部分集合になるはず．
 $FOREACH excno EXCNO_DEFEXC_VALID$
 	$IF LENGTH(FIND(EXCNO_VALID, excno)) == 0$
@@ -957,13 +945,13 @@
 
 
-$ CPUáOnhÉÖ·éG[`FbN
+$ CPU例外ハンドラに関するエラーチェック
 $i = 0$
 $FOREACH excno EXC.ORDER_LIST$
-$	// excnoªDEF_EXCÉÎ·éCPUáOnhÔÆµÄ³µ­È¢êiE_PARj
+$	// excnoがDEF_EXCに対するCPU例外ハンドラ番号として正しくない場合（E_PAR）
 	$IF !LENGTH(FIND(EXCNO_DEFEXC_VALID, EXC.EXCNO[excno]))$
 		$ERROR EXC.TEXT_LINE[excno]$E_PAR: $FORMAT(_("illegal %1% `%2%\' in %3%"), "excno", EXC.EXCNO[excno], "DEF_EXC")$$END$
 	$END$
 
-$	// excnoªDEF_EXCÉæÁÄÝèÏÝÌêiE_OBJj
+$	// excnoがDEF_EXCによって設定済みの場合（E_OBJ）
 	$j = 0$
 	$FOREACH excno2 EXC.ORDER_LIST$
@@ -974,5 +962,5 @@
 	$END$
 
-$	// excatrªiTA_NULLjÅÈ¢êiE_RSATRj
+$	// excatrが（TA_NULL）でない場合（E_RSATR）
 	$IF (EXC.EXCATR[excno] & ~ALT(TARGET_EXCATR,0)) != 0$
 		$ERROR EXC.TEXT_LINE[excno]$E_RSATR: $FORMAT(_("illegal %1% `%2%\' of %3% `%4%\' in %5%"), "excatr", EXC.EXCATR[excno], "excno", EXC.EXCNO[excno], "DEF_EXC")$$END$
@@ -981,8 +969,8 @@
 $END$
 
-$ CPUáOnhÌ½ßÌWIÈú»îñÌ¶¬
+$ CPU例外ハンドラのための標準的な初期化情報の生成
 $IF !ALT(OMIT_INITIALIZE_EXCEPTION,0)$
 
-$ CPUáOnh
+$ CPU例外ハンドラ数
 #define TNUM_EXCNO	$LENGTH(EXC.ORDER_LIST)$$NL$
 const uint_t _kernel_tnum_excno = TNUM_EXCNO;$NL$
@@ -992,5 +980,5 @@
 $END$
 
-$ CPUáOnhú»e[u
+$ CPU例外ハンドラ初期化テーブル
 $IF LENGTH(EXC.ORDER_LIST)$
 	const EXCNO _kernel_excinib_excno[TNUM_EXCNO] = {
@@ -1021,5 +1009,5 @@
 
 $ ---------------------------------------------------------------------
-$  üúnh
+$  周期ハンドラ
 $ ---------------------------------------------------------------------
 
@@ -1029,13 +1017,13 @@
 $NL$
 
-$ üúnhIDÔÌÅål
+$ 周期ハンドラID番号の最大値
 const ID _kernel_tmax_cycid = (TMIN_CYCID + TNUM_CYCID - 1);$NL$
 
-$ üúnhÌ^CCxgIDItZbg
-$ üúnhÌ^CCxgIDÍ0©çJn
+$ 周期ハンドラのタイムイベントIDオフセット
+$ 周期ハンドラのタイムイベントIDは0から開始
 const uint_t _kernel_cycevtid_offset = 0;$NL$
 $NL$
 
-$ Ggª TMAX_MAXCYC(kernel.h) Âæè½¢êÍCG[Æ·é
+$ エントリが TMAX_MAXCYC(kernel.h) 個より多い場合は，エラーとする
 $IF LENGTH(CYC.ORDER_LIST) > TMAX_MAXCYC$
 	$ERROR$$FORMAT(_("The number of CRE_CYC must be equal to or less than %1%."), +VALUE("TMAX_MAXCYC", TMAX_MAXCYC))$$END$
@@ -1043,8 +1031,8 @@
 
 $IF LENGTH(CYC.ORDER_LIST)$
-$	üúnh®«
+$	周期ハンドラ属性
 	$CYCACT = 0$
 	$FOREACH cycid CYC.ORDER_LIST$
-$		// üúnh®«(cycatr) ª TA_NULL, TA_STA Ì¢¸êÅàÈ¢iE_RSATRj
+$		// 周期ハンドラ属性(cycatr) が TA_NULL, TA_STA のいずれでもない（E_RSATR）
 		$IF (CYC.CYCATR[cycid] & ~TA_STA) != 0$
 			$ERROR CYC.TEXT_LINE[cycid]$E_RSATR: $FORMAT(_("illegal %1% `%2%\' of `%3%\' in %4%"), "cycatr", CYC.CYCATR[cycid], cycid, "CRE_CYC")$$END$
@@ -1057,5 +1045,5 @@
 	const uint16_t _kernel_cycinib_cycact = $CYCACT$;$NL$
 
-$	üúnhg£îñ
+$	周期ハンドラ拡張情報
 	const intptr_t _kernel_cycinib_exinf[TNUM_CYCID] = {
 	$JOINEACH cycid CYC.ORDER_LIST ","$
@@ -1064,5 +1052,5 @@
 	};$NL$
 
-$	üúnhAhX
+$	周期ハンドラアドレス
 	const CYCHDR _kernel_cycinib_cychdr[TNUM_CYCID] = {
 	$JOINEACH cycid CYC.ORDER_LIST ","$
@@ -1071,8 +1059,8 @@
 	};$NL$
 
-$	üúnhüú
+$	周期ハンドラ周期
 	const RELTIM _kernel_cycinib_cyctim[TNUM_CYCID] = {
 	$JOINEACH cycid CYC.ORDER_LIST ","$
-$		// cyctim Í 0 æèå«­CTMAX_RELTIM ÈºÅ éD(E_PAR)
+$		// cyctim は 0 より大きく，TMAX_RELTIM 以下である．(E_PAR)
 		$IF CYC.CYCTIM[cycid] <= 0 || TMAX_RELTIM < CYC.CYCTIM[cycid] $
 			$ERROR CYC.TEXT_LINE[cycid]$E_PAR: $FORMAT(_("illegal %1% `%2%\' of `%3%\' in %4%"), "cyctim", CYC.CYCTIM[cycid], cycid, "CRE_CYC")$$END$
